Bug 228294 - Review Request: gkrellm-sun - Sun clock plugin for GKrellM
Review Request: gkrellm-sun - Sun clock plugin for GKrellM
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-12 10:50 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 10:05:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-02-12 10:50:42 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/gkrellm-sun/
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/gkrellm-sun/
Description:
A sun clock plugin for GKrellM which can display the sun's setting time, rising
time, path and current location and so on.

This is a pretty trivial package. Notes :
- The name "gkrellsun" has been changed to be in the "gkrellm-*" namespace.
- No configure, so the Makefile's FLAGS have been (ab)used to pass our optflags.
- Explicit "gkrellm" requirement set because of the version it needs.
- The very similar "gkrellm-moon" package will also be submitted by itself.
Comment 1 Matthias Saou 2007-02-12 10:51:46 EST
The gkrellm-moon package is bug #228293 in case someone wants to review both
packages at once and save testing time.
Comment 2 Kevin Fenzi 2007-02-13 23:14:53 EST
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
fbbf5c23a3966b2e16a2bab19a0885b7  gkrellsun-1.0.0.tar.gz
fbbf5c23a3966b2e16a2bab19a0885b7  gkrellsun-1.0.0.tar.gz.1
OK - BuildRequires correct
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Default perms are
%defattr(-, root, root, 0755)

Can that be changed to:

%defattr(-, root, root, -)

2. Please use the one true build root(tm):

      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Comment 3 Matthias Saou 2007-02-14 05:22:15 EST
1. OK, it's changed to %defattr(-,root,root,-)
2. It's a matter of personal taste and a dislike of sticky futile exec()s :-)

gkrellm-sun-1.0.0-2.fc6.src.rpm and an updated spec file are available from the
same location.
Comment 4 Kevin Fenzi 2007-02-14 11:19:44 EST
1. good. ok. 

2. Well, it was recently decided that the current preferred buildroot should be
made mandatory. 

See: 

http://www.fedoraproject.org/wiki/Extras/SteeringCommittee/Meeting-20070208

The longer term plan is to have rpmbuild setup some sane buildroot and not need
to specify it in the spec file at all. 

So, could you pretty please change it, and then I can approve this (and
gkrellm-moon). ;) 
Comment 5 Matthias Saou 2007-02-14 12:00:58 EST
Argh. A useless stupid change is guidelines. The "id" execution to build up the
buildroot has been known to make my mach rebuilds fail, which is the main
technical reason why I have always avoided it. I've asked on the extras-list
what the rationale behind this change is...
Comment 6 Kevin Fenzi 2007-02-15 15:58:24 EST
In reply to comment #5: 

Unfortunately, nothing useful seems to have come out of the discussion on 
extras-list. ;( 

Would you be willing to change the buildroot here (and in gkrellm-moon/any other
blocked submissions) to get them approved for now, and then work with the 
package committee to get some more acceptable buildroot solution ratified down
the road?
Comment 7 Kevin Fenzi 2007-03-01 14:24:18 EST
ok. Today FESCO ratified the buildroot proposal at: 
http://fedoraproject.org/wiki/PackagingDrafts/BuildRoot

The buildroot here meets those guidelines, so this package is APPROVED. 

Don't forget to close this once it's been imported and built. 
Comment 8 Matthias Saou 2007-03-02 13:33:22 EST
New Package CVS Request
=======================
Package Name: gkrellm-sun
Short Description: Sun clock plugin for GKrellM
Owners: matthias@rpmforge.net
Branches: FC-5 FC-6 devel EL-4 EL-5
InitialCC: 

(I still don't have rights to set the fedora-cvs flag...)

Note You need to log in before you can comment on or make changes to this bug.